package app

import (
	"database/sql"
)

// FolderChannelWrapper wraps the object with the security principal
type FolderChannelWrapper struct {
	//	Obj       workflow_models.Folder
	Principal User
}

// Folder is a first class object type
type Folder struct {
	AccessType            string
	ChildRecordID         string
	ContentOfFolderID     string
	ContentSize           int
	CreatedByID           string
	CreatedDate           sql.NullTime
	DeveloperName         string
	EnableFolderStatus    string
	FileExtension         string
	FileType              string
	ID                    string
	IsFolder              bool
	IsReadonly            bool
	LastModifiedByID      string
	LastModifiedDate      sql.NullTime
	Name                  string
	NamespacePrefix       string
	ParentContentFolderID string
	ParentEntityID        string
	ParentID              string
	Title                 string
	Type                  string
}
