package app

import "database/sql"

// LogChannelWrapper wraps the object with the security principal
type LogChannelWrapper struct {
	// Obj       devops_models.AppLog
	Principal User
}

// Log is a first class object type
type Log struct {
	ID              string
	AccountID       string
	CompanyID       string
	CreatedByID     string
	CreatedDate     sql.NullTime
	Message         string
	ObjectType      string
	ObjectID        string
	Severity        string
	Source          string
	SourceTimestamp sql.NullTime
}
