package app

import (
	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
	"github.com/go-sql-driver/mysql"
)

// RatingengineChannelWrapper wraps the object with the security principal
type RatingengineChannelWrapper struct {
	Obj       regs_models.RatingEngine
	Principal User
}

// RatingEngine is a first class object type
type RatingEngine struct {
	Account               string
	Backend               string
	Createdbyid           string
	Createddate           mysql.NullTime
	Description           string
	ID                    string
	Ingestmethod          string
	Isdefault             int64
	Lastmodifiedbyid      string
	Lastmodifieddate      mysql.NullTime
	Name                  string
	Ratingengineitemcount float64
}
