package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/devops/devops_models"
)

// RoleChannelWrapper wraps the object with the security principal
type RoleChannelWrapper struct {
	Obj       devops_models.Role
	Principal User
}

// Role is a first class object type
type Role struct {
	ID               string
	Auth0RoleID      string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	RoleName         string
	TenantID         string
}
