package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
)

// TransactionItemChannelWrapper wraps the object with the security principal
type TransactionItemChannelWrapper struct {
	Obj       regs_models.Transaction
	Principal User
}

// Transaction is a first class object type
type Transaction struct {
	ID               string
	AccountID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	TaxTypeID        string
	TaxTransactionID string
	TenantID         string
	Valid            bool
}
