package app

import (
	"database/sql"

	"code.tnxs.net/taxnexus/lib/api/ledger/ledger_models"
)

// AccountingRulesetItemChannelWrapper wraps the object with the security principal
type AccountingRulesetItemChannelWrapper struct {
	Obj       ledger_models.AccountingRulesetItem
	Principal User
}

// AccountingRulesetItem is a first class object type
type AccountingRulesetItem struct {
	ID                  string
	AccountingRuleCode  string
	AccountingRulesetID string
	CreatedByID         string
	CreatedDate         sql.NullTime
	LastModifiedByID    string
	LastModifiedDate    sql.NullTime
	TenantID            string
}
