package app

// OutgoingEmailMessageReceiptChannelWrapper wraps the object with the security principal
type OutgoingEmailMessageReceiptChannelWrapper struct {
	// Obj       workflow_models.OutgoingEmailMessageReceipt
	Principal User
}

// OutgoingEmailMessageReceipt is a first class object type
type OutgoingEmailMessageReceipt struct {
	ID                   string
	Body                 string
	EmailMessageID       string
	Headers              map[string]string
	Status               string
	StatusCode           int64
	Subject              string
	ToAddress            string
	ValidatedFromAddress string
}
