package app

import (
	"code.tnxs.net/taxnexus/lib/api/regs/regs_models"
	"github.com/go-sql-driver/mysql"
)

// RatingEngineItemChannelWrapper wraps the object with the security principal
type RatingEngineItemChannelWrapper struct {
	Obj       regs_models.RatingEngineItem
	Principal User
}

// RatingEngineItem is a first class object type
type RatingEngineItem struct {
	Createdbyid  string
	Createddate  mysql.NullTime
	ID           string
	Name         string
	Productcode  string
	Ratingengine string
	Ref          string
	Taxnexuscode string
}
