package app

import (
	"database/sql"
)

// TaskRelationChannelWrapper wraps the object with the security principal
type TaskRelationChannelWrapper struct {
	//	Obj       workflow_models.TaskRelation
	Principal User
}

// TaskRelation is a first class object type
type TaskRelation struct {
	AccountID        string
	CreatedByID      string
	CreatedDate      sql.NullTime
	ID               string
	IsWhat           bool
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	RelationID       string
	TaskID           string
}
