package app

import "code.tnxs.net/taxnexus/lib/api/ops/ops_models"

// TotalItemChannelWrapper wraps the object with the security principal
type TotalItemChannelWrapper struct {
	Obj       ops_models.TotalItem
	Principal User
}

// TotalItem is a DB struct
type TotalItem struct {
	ID            string
	TotalTaxItems []*TotalTaxItem
	Displayname   string
	Amount        float64
	Count         int64
	TenantID      string
}
