package app

import "code.tnxs.net/taxnexus/lib/api/devops/devops_models"

// UserRoleChannelWrapper wraps the object with the security principal
type UserRoleChannelWrapper struct {
	Obj       devops_models.UserRole
	Principal User
}

// UserRole is a first class object type
type UserRole struct {
	RoleID          string
	UserID          string
	Auth0RoleID     string
	RoleDescription string
	RoleName        string
	AccountID       string
	CompanyName     string
	ContactID       string
	UserEmail       string
	UserFullName    string
	TaxnexusAccount string
	Username        string
	Auth0UserID     string
}
